Index: branches/network/src/lib/coord/p_node.cc
===================================================================
--- branches/network/src/lib/coord/p_node.cc	(revision 6659)
+++ branches/network/src/lib/coord/p_node.cc	(revision 6660)
@@ -697,4 +697,5 @@
     PNode::nullParent = new PNode(NULL, PNODE_PARENT_MODE_DEFAULT | PNODE_REPARENT_TO_NULL);
     PNode::nullParent->setName("NullParent");
+    PNode::nullParent->setSynchronized(true);
   }
   return PNode::nullParent;
Index: branches/network/src/lib/network/network_game_manager.cc
===================================================================
--- branches/network/src/lib/network/network_game_manager.cc	(revision 6659)
+++ branches/network/src/lib/network/network_game_manager.cc	(revision 6660)
@@ -247,5 +247,4 @@
       s->setUniqueID( newUniqueID++ );
       s->setOwner( 0 );
-      this->networkStream->connectSynchronizeable( *s );
       return b;
     }
Index: branches/network/src/lib/network/network_manager.cc
===================================================================
--- branches/network/src/lib/network/network_manager.cc	(revision 6659)
+++ branches/network/src/lib/network/network_manager.cc	(revision 6660)
@@ -183,4 +183,6 @@
  void NetworkManager::debug()
 {
+  PRINT(0)("=================Network::debug()=========\n");
   this->defaultSyncStream->debug();
+  PRINT(0)("===========================================\n");
 }
Index: branches/network/src/lib/network/network_stream.cc
===================================================================
--- branches/network/src/lib/network/network_stream.cc	(revision 6659)
+++ branches/network/src/lib/network/network_stream.cc	(revision 6660)
@@ -53,4 +53,5 @@
 }
 
+
 NetworkStream::NetworkStream(IPaddress& address)
 {
@@ -60,10 +61,4 @@
   this->networkProtocol = new NetworkProtocol();
   this->connectionMonitor = new ConnectionMonitor();
-
-  Handshake* hs = new Handshake(false);
-  hs->setUniqueID( 0 );
-  this->handshakes.push_back(hs);
-  this->connectSynchronizeable(*hs);
-  PRINTF(0)("NetworkStream: %s\n", hs->getName());
   this->maxConnections = 1;
 }
@@ -136,4 +131,14 @@
 
 
+void NetworkStream::startHandshake()
+{
+  Handshake* hs = new Handshake(false);
+  hs->setUniqueID( 0 );
+  this->handshakes.push_back(hs);
+  //this->connectSynchronizeable(*hs);
+  PRINTF(0)("NetworkStream: %s\n", hs->getName());
+}
+
+
 void NetworkStream::connectSynchronizeable(Synchronizeable& sync)
 {
@@ -426,29 +431,31 @@
 void NetworkStream::debug()
 {
-  PRINT(0)("=================NetworkStream::debug()====\n");
-  PRINT(0)(" Host ID: %i\n", this->myHostId);
-
-  PRINT(0)(" Got %i connected Synchronizeables:\n", this->synchronizeables.size());
+  if( this->isServer())
+    PRINT(0)(" Host ist Server with ID: %i\n", this->myHostId);
+  else
+    PRINT(0)(" Host ist Client with ID: %i\n", this->myHostId);
+
+  PRINT(0)(" Got %i connected Synchronizeables, showing active Syncs:\n", this->synchronizeables.size());
   for (SynchronizeableList::iterator it = synchronizeables.begin(); it!=synchronizeables.end(); it++)
   {
-    PRINT(0)("  Synchronizeable of class: %s::%s, with unique ID: %i, Synchronize: %i\n", (*it)->getClassName(), (*it)->getName(), (*it)->getUniqueID(), (*it)->beSynchronized());
-  }
-
+    if( (*it)->beSynchronized() == true)
+      PRINT(0)("  Synchronizeable of class: %s::%s, with unique ID: %i, Synchronize: %i\n", (*it)->getClassName(), (*it)->getName(),
+               (*it)->getUniqueID(), (*it)->beSynchronized());
+  }
   PRINT(0)(" Maximal Connections: %i\n", this->maxConnections);
-  PRINT(0)("===========================================\n");
-
-}
-
-
-
-
-
-
-
-
-
-
-
-
-
-
+
+}
+
+
+
+
+
+
+
+
+
+
+
+
+
+
Index: branches/network/src/lib/network/network_stream.h
===================================================================
--- branches/network/src/lib/network/network_stream.h	(revision 6659)
+++ branches/network/src/lib/network/network_stream.h	(revision 6660)
@@ -41,4 +41,5 @@
 
     void createNetworkGameManager();
+    void startHandshake();
 
     void connectSynchronizeable(Synchronizeable& sync);
